### Method

# Cogl Attribute set_normalized

#### Declaration [src]

    void
    cogl_attribute_set_normalized (
      CoglAttribute* attribute,
      gboolean normalized
    )

#### Description [src]

Sets whether fixed point attribute types are mapped to the range 0→1. For example when this property is TRUE and a `COGL_ATTRIBUTE_TYPE_UNSIGNED_BYTE` type is used then the value 255 will be mapped to 1.0.

The default value of this property depends on the name of the attribute. For the builtin properties cogl_color_in and cogl_normal_in it will default to TRUE and for all other names it will default to FALSE.

#### Parameters

`normalized`

  Type: `gboolean`

  The new value for the normalized property.